Does Lean Dispatch support different browsers?

Comments

4 comments

  • Official comment
    Devin Baldwin

    We have published an updated article with a full list of compatible browsers and devices. Please refer to the following list to see if your device is compatible: Supported Browsers for L2L CloudDISPATCH

    Comment actions Permalink
  • Tyler Whitaker

    We support all modern browsers. Chrome, Firefox, IE 7+, Safari. We recommend IE 9 and above, but IE 7 and 8 work well if you make sure the browser is in standards mode (not compatibility or quirks mode.) To verify IE's settings looks in menus or hit F12 to display the developer settings.

    IE 7 is no longer supported by Microsoft. If you're still using IE 7 we encourage you upgrade. XP users can upgrade to IE 8, you'll need to upgrade your operating system to Windows 7 to get IE 9 or 10.

    You might also consider switching browsers. We recommend Google Chrome. If IE is a corporate standard, you might consider installing the Google Chrome Frame IE browser plugin. It offers the continued use of IE with all of the modern web page rendering benefits of Chrome. See http://www.google.com/chromeframe for more details.

    Originally answered Mar 9, 2013 at 11:50 pm

    0
    Comment actions Permalink
  • Keith Barr

    Lean Dispatch supports most browsers. Safari, IE, Chrome, Firefox should all work fine as will most micro browsers in smart phones.

    Originally answered Feb 23, 2011 at 5:22 pm

    0
    Comment actions Permalink
  • Bob Argyle

    Dispatching can now be done via iPad!

    Originally answered May 15, 2011 at 2:31 pm

    0
    Comment actions Permalink

Please sign in to leave a comment.